우분투에서 파이어폭스 3.6 업그레이드하기(Karmic, Jaunty, Intrepid, Hardy 모두 가능) Just Fun Ubuntu!

전 파이어폭스가 업그레이드 될 때마다 귀차니즘으로 인해 모질라 홈페이지에 있는 바이너리 버전으로 설치하곤 했습니다. 물론 PPA에 있는 파이어폭스로 업그레이드하면 되지만 이건 Daily Build라서 업데이트도 매일 있고-_- 게다가 설치를 하면 정식버전과 똑같지만 브랜딩이 개발버전으로 깔리는 문제가 있습니다. 브랜딩은 단순히 로고가 아니라 브라우저의 정체성(?)을 결정짓는 요소이기 떄문에 이 브랜딩이 개발버전용으로 되어있으면 몇몇 사이트를 이용할 수 없는 경우가 생깁니다. 또한 버전업마다 언어팩을 깔아줘야하는 것은 기본이죠.

그래서 이번에 파이어폭스가 3.6으로 업그레이드 되면서도 마찬가지겠지라는 생각으로 당연히 바이너리를 깔아서 설치했습니다. 이미 9.04를 쓰고 있는 노트북은 바이너리를 쓰고 있었기에 자동 업데이트 기능으로 쉽게 깔 수 있었죠. 물론 이렇게하면 문제가 있습니다. 모질라 재단에서 제공하는 파이어폭스는 32비트 바이너리입니다. 64비트에서도 실행이 가능하긴하지만 64비트 운영체제에서 32비트 브라우저를 써야하는 문제가 생깁니다.(사실, 다른 운영체제에서는 이게 당연한 일이지만 리눅스는 아니죠) 크롬이 빠르다, 파이어폭스가 빠르다 하지만, 64비트 크롬과 파이어폭스는 차원이 다릅니다.

그런데 Kevin님께서 덧글로 모질라 팀의 또다른 PPA 저장소를 알려주셨습니다. 바로 stable 저장소입니다. 그래서 가봤더니.. 패키지가 firefox 3.6으로 되어있는 것이 아니라 firefox로 되어있었습니다. 즉 기본 firefox 패키지를 대체하는 패키지인 것이죠.(지금까지 3.5 패키지는 전부 firefox-3.5라는 별도의 패키지로 되어있었습니다.) 그리고 firefox 패키지안에 브라우저가 다 들어있는 것을보니 드디어 우분투도 예전 방식(firefox 2.0 이전의)으로 돌아온 것 같습니다. 앞으로도 이렇게 배포한다면 PPA 뿐 아니라 기본 저장소에서도 업글이 가능할 것입니다. 아마 lucid 부터는 firefox 3.0, firefox 3.5 이런 패키지 없이 전부 firefox 로 통일되겠지요^^

어쨌든 혹시나해서 설치해보니까 브랜딩이 제대로 나오는군요! 이제까지의 파이어폭스 삽질은 끝입니다.(다만 여전히 언어는 영어로 나오는군요) 어쨌든 아래부터 설치팁 들어갑니다.


1. 아래 PPA를 추가해줍니다.


1) 우분투 9.10이라면

sudo add-apt-repository ppa:mozillateam/firefox-stable

이란 명령어를 터미널에 추가해주시고

저장소 목록을 갱신해주신 다음 다음 업데이트를 받으시면 됩니다.


2) 만약 우분투 9.10 이전 버전이라면 시스템 - 관리 - 소프트웨어 소스에서

deb http://ppa.launchpad.net/mozillateam/firefox-stable/ubuntu jaunty main

※ jaunty 부분은 적합한 버전으로 바꿔주세요(9.04 : jaunty, 8.10 : intrepid, 8.04 : hardy)

이 주소를 추가해주시고, 아래 키파일을 다운받아 소프트웨어소스 - 인증 - 키파일 가져오기를 통해 키파일을 추가시키면 됩니다.

key

그렇게 한 뒤 마찬가지로 저장소를 갱신하신 다음 파이어폭스를 업데이트하시면 됩니다.

firefox 패키지가 자동으로 업데이트됩니다.(jaunty에서는 firefox 3.0 관련 패키지를 삭제해주셔야합니다.)


2. 한글 언어팩을 설치해야합니다. 언어팩은 아래 주소에서 받아서 설치하실 수 있습니다.

언어팩

언어팩이 설치되면 자동으로 한글로 바뀌는데, 만약 자동으로 한글로 안바뀐다면 Locale Switcher라는 확장기능으로 브라우저의 언어설정을 변경해야합니다.(도구 - 언어에서 변경 가능)


덧. 이 귀중하고도 좋은 정보를 저 같은 귀차니스트에게 던져주신 Kevin님께 감사드립니다^^
덧2. 그런데 이곳 PPA에서 설치한 파이어폭스에는 자잘한 문제가 있습니다.

1. 기본 테마가 없습니다.

기본 테마가 없다고 기본 테마를 못쓰는 것은 아니지만 기본 테마가 없다면 다른 테마가 설치되어있을 때 기본 테마로 쓸 수가 없습니다. 이건 왜 없는건지 잘 모르겠습니다.

2. 언어팩 설치시 자동으로 한글이 전환되지 않을 수 있습니다.

이건 9.04를 사용하는 노트북에서 나타난 문제였는데요, 언어팩을 설치한 후 Locale Switcher 플러그인을 설치하고나서야 한글로 사용할 수 있었습니다.

3. 검색 도구가 다 사라집니다.

이 문제는 ubufox가 설치되지 않아서 그런것 같긴 한데.... 검색 도구에 구글을 비롯한 기본으로 설치되는 검색도구가 다 사라집니다. =_=이유를 모르겠군요...

덧3. 우분투에는 최신 버전의 파이어폭스를 설치해주는 우분투 질라라고 하는 프로그램이 있습니다. 그런데 사실 이 프로그램은 바이너리 파이어폭스를 쓰는 것과 100% 똑같습니다.(다만 루트에 설치되기 때문에 업데이트 부분이 비활성화되어있다는 정도..?) 바이너리 파이어폭스와 우분투 PPA에서 제공하는 파이어폭스는 배포판 패치가 되어있지 않아서 많은 부분이 다릅니다.

공유하기 버튼

 

핑백

덧글

  • 환상경 2010/01/28 19:16 # 답글

    저도 몇일전에 이곳을 발견해서 설치했는데 저는 기존에 PPA를 통해 설치한 firefox-3.5 때문에 충돌이 일어나더군요 -_-
    기본 firefox랑 firefox-3.5 관련 모든 패키지를 다 삭제한뒤 설치하니 정상적으로 설치가 되었습니다. 흐
    이런 메이저(?) 패키지같은경우는 그냥 바로바로 업데이트해주지 하는 아쉬움이 있네요 =_=
  • 떠돌이 2010/01/29 20:15 #

    패키지 버전 관리가 기존과 완전히 달라져서 브랜딩 패키지가 기존 패키지들과 충돌을 일으키는 것 같습니다. 업그레이드하기전에 파이어폭스 관련 패키지는 전부 삭제하는게 좋겠네요=_ㅜ
  • 한빈 2010/01/28 22:46 # 삭제 답글

    전 32 비트는 swiftfox, 64 비트는 Swiftweasel 깔아라고 권장해주는 ㄷㄷㄷ;;
  • 떠돌이 2010/01/29 20:16 #

    폭스나 위즐이나 거기서 거기 =3=3=3
  • 홍작새 2010/01/28 22:53 # 삭제 답글

    이흥... 너무 좋은 정보입니다. 데일리 업뎃 때문에 PPA는 접어두고 있었는데... ^^
  • 떠돌이 2010/01/29 20:17 #

    데일리 업뎃 귀찮죠=_= 이 저장소는 정말 괜찮은 것 같습니다^^
  • bluekyu 2010/01/29 01:26 # 삭제 답글

    3.6을 두번 설치하는데 모두 실패 했습니다. 아놔 ㅜㅜ
    처음에는 소스로 설치하다 에러로 실패하고 이번에는 님께서 알려주신 ppa 업뎃을 하는데, 패키지에 문제가
    있어서 업뎃을 포기 했습니다.

    업뎃을 하고 나니까 일단, 기본 테마가 없더군요.....;;; 페르소나 써볼려고 기존 크롬 테마를 지우려고 하는데, 기본테마가 없어서 지워지지 않네요 ;;;;
    그리고 검색 도구에서 구글이 없어지고 ask.com 만 남는 사태까지 나왔습니다. 구글을 자주 이용해서 필요한건데 ㅜㅜ

    중요한 두개 때문에 업그레이드 포기하고 복구했습니다.(복구하는데도 시간 오래 걸렸습니다. 기존 3.6이 계속 남아서 이거 없애느라 ㅜㅜ)
    결국 10.04 나올 때까지 3.57로 버텨야겠습니다.(쿠분투라서 그런가...... ㅜㅜ)

    ps. 참고로 3.6 언어팩도 있습니다. ftp 에서 상위폴더 눌러서 3.6으로 간다음에 linuxi686 > xpi > ko.xpi
  • 떠돌이 2010/01/29 20:19 #

    저도 기본 테마가 없다는 사실을 오늘 알았습니다. 페르소나 테마를 기본으로 되돌리려고 보니 기본 테마가 없네요(...) 물론 제 경우 깔려있는 테마를 모두 삭제하니 다시 기본테마로 돌아왔습니다. 이 PPA에 있는 파이어폭스는 자잘한 문제가 좀 많은 것 같습니다. 검색바에 있는 검색 도구도 전부 날아가죠.(사용자 계정에서 추가한 검색 도구 외에는..)
  • Draco 2010/01/29 01:38 # 삭제 답글

    3.6설치가 문제가 아니라..
    사용하고 있는 확장기능들이 아직 호환이 안되는게 문제네요. 워낙 비인기 확장기능이라 그런가 업데이트가 전혀 안되고 있는...
  • 떠돌이 2010/01/29 20:21 #

    제 경우는 호환이 안되는 확장기능이 Easy Drag to Go 였는데 계속 업데이트가 안나오길래 검색해봤더니 Quick Drag to Go 라는 확장기능이 나오네요=_= 이 어플을 깔았더니 Easy Drag to Go에서 문제가 있었던 여러 부분이 해결되어서 더 만족하고 쓰는 중입니다. 예전에 Super Drag to Go 같은 어플들은 누군가가 계속 끊임없이 후속 버전을 만들어서 버전업마다 바꾸게되네요^^;;
  • Kevin 2010/01/29 13:06 # 삭제 답글

    그 Kevin이 혹시 이 Kevin 인가요? :)
    별말씀을요... 저도 떠돌이님 댓글 보고나서,
    안정적인 버전을 PPA를 이용해서 설치하는 방법은 없을까 하고
    돌아다니다 발견한건데요...^^;

    근데 저는 아직도 3.6 못 깔았습니다...ㅠ_ㅠ
    아니, 안 깔았다고 해야겠군요...@_@;
    3.6에서 속도 향상이 있다길래...
    "아니, 속도 향상이 있으면 좋은거 아닌가?"
    하실지 모르겠는데요. 맞습니다. 근데, 제가 지금 만들고 있는
    웹어플을 가능한한 느린 버전에서도 사용자들이 불편없이 쓸수 있도록
    만들려고 일부러 업그레이드를 미루고 있습니다.

    그럼, 2.x대 버전 써야하는거 아니냐고 하실지 모르겠는데...^^;
    그건 좀...ㅡ_ㅡ;;;
    명색이 Ajax 어플이라서 JavaScript 엔진이 너무 후지면 좀...:)
    (사실, 2.x 버전가지고도 테스트 합니다...^^; 다만,
    개발하면서 바로바로 테스트하는건 그래도 가장 많이
    쓸거라 생각되는 3.5로...)

    아무튼 좋은 정보를 바로 바로 공유해주시는
    떠돌이님은 정말 대단하신거 같습니다.
    귀차니스트와는 거리가 먼거 같은데요. :)
  • 떠돌이 2010/01/29 20:23 #

    넵 이 Kevin님 맞습니다^^ 다시 한번 중요한 정보 감사드립니다.

    속도가 너무 빨라서 곤란한 경우도 있군요(...) 개발자 여러분의 노고가 많습니다ㅠㅠ

    이번 파이어폭스 업글할 때는 검색도 안해보고 그냥 바로 바이너리로 올렸는걸요=_= 저는 지독한 귀차니스트가 맞답니다.
  • Kevin 2010/01/29 21:16 # 삭제

    사실 저야 말로 귀차니스트...ㅡ_ㅡ;;;
    제가 찾은 사이트들이 전부 모질라 데일리 PPA를 사용해서
    업그레이드 하는 방법만 설명하고 있어서,
    firefox-stable ppa 를 이용해서 업하는 방법을 제 블로그에 올려야겠다
    라고 생각만 하고 안 올렸으니까요...ㅡ_ㅡ;

    그나저도 저도 업을 했습니다. 생각해보니, 2.x 대로도 테스트를 하는데,
    굳이 3.5를 그냥 가지고 있을 필요가 없겠더라구요.
    설치를 꺼린 이유중에 또 다른 이유로
    프로젝트 도중에 개발 환경을 바꾸는 변수로 인해
    진행에 차질이 생길수도 있기 때문인것도 있었지만,
    사실 브라우저 바꾸는거는 OS 업그레이드에 비해
    아무것도 아니라서... ^^;
    그나저나 ppa로 설치했는데, 아랫분 댓글 보니까
    이제 우분투 repository에 정식으로 등록이 된건가요?ㅡ_ㅡ?
    아놔...ㅡ_ㅡ;;;
  • 노정태 2010/01/29 18:33 # 답글

    안녕하세요. 우분투에서 드디어 자동으로 업데이트를 뿌려서 3.6으로 넘어왔습니다.
    그런데 링크해주신 언어팩이 버전 호환 문제로 설치가 안 되네요.
    분명 한글 언어팩이 될 것 같고 되어야 할 텐데, 현재로서는 안 되어서 답답합니다.
    해결 방법이 뭐가 있을까요?
  • 떠돌이 2010/01/29 20:11 #

    죄송합니다=_=제가 링크를 수정하지 않고 예전 링크를 그대로 가져와버렸네요(...) 지금은 주소 수정했습니다^^
  • Kevin 2010/02/01 23:45 # 삭제 답글

    아놔 이런...ㅡ_ㅡ;
    깔고 보니... 폰트 렌더링에 문제가 있네요...ㅡ_ㅡ;;;
    결국 3.5.7로 복귀했습니다. ㅠ_ㅠ
  • 떠돌이 2010/02/02 21:33 #

    헉 역시 저만 폰트 렌더링이 이상하다고 느끼는게 아니었군요(...) 뭔가 좀 묘하게 이상하네요-_-;;
  • Joo 2010/02/03 21:39 # 삭제 답글

    오~ 여차저차 이제야 따라해봤습니다.
    좋네요. 말씀하신 3가지 문제 중에 검색엔진 사라지는 것 외에는 발생하지 않았습니다. 감사합니다. :)
    혹시 Thunderbird 3도 이런거 없을까요? ^^;;;
  • 떠돌이 2010/02/23 17:03 #

    검색엔진이 사라지는 문제는 다행히도 업데이트 되었더군요^^ 그나저나 기본 테마가 사라지는 문제는 안일어나시나요?+_+
  • Green Hills 2010/02/18 23:34 # 답글

    앗! 3.6으로 버전 업그레이드 하고 몇 가지 문제가 생기는 군요!
    먼저, 기본검색이 Ask.com으로 된다는거... 결국 모질라용 구글 툴바 설치로 해결...
    둘째, 국세청 현금영수증 사이트에 쓰이는 XecureWeb 플러그인 문제...
    3.6과 호환이 안 되 포기...
  • 떠돌이 2010/02/23 17:05 #

    기본 검색 도구에 구글 검색 도구를 추가하는 것은 간단합니다. 그런데 최근에 업데이트된 부분에서는 검색 도구가 전부 원상 복구 되었더군요~

    파폭 3.6은 아직 호환이 되지 않는 곳이 좀 있습니다.(실버라이트도 호환이 안됩니다) 그렇지만 전 뭐 그런걸 사용하지 않으니.. 걍 업데이트 해버렸습니다ㅋㅋ
  • fusionk 2011/03/20 22:48 # 삭제 답글

    언어팩은 ftp.mozilla.org 에서 다운 받을수있습니다...각 버전별 디렉토리을 보시면 xpi라는 디렉토리가 있는데 그게
    언어팩을 담고있죠... 굳이 따로 부가기능을 설치하지않고 부가기능에서 파일을 불러주면 가능한것으로 알고있습니다.
  • 떠돌이 2011/03/21 09:56 #

    넵. 언어 팩 설치 부분은 아래 부분에 나와있습니다^^
댓글 입력 영역



Google Analytics

트위터 팔로잉 New

Creative Commons License

크리에이티브 커먼즈 라이선스